#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
    int n, m;
    cin>>n>>m;
    int a[n], poznanici[n];
    for(int i=0; i<n; i++){cin>>a[i]; poznanici[i]=0;}
    int x[m], y[m];
    for(int i=0; i<m; i++)cin>>x[i]>>y[i];
    for(int j=0; j<m; j++)
    {
        if(a[x[j]-1]<=0 && a[y[j]-1]<=0){poznanici[x[j]-1]--; poznanici[y[j]-1]--;}
        else if(a[x[j]-1]>=0 && a[y[j]-1]>=0){poznanici[x[j]-1]++; poznanici[y[j]-1]++;}
        else if(a[x[j]-1]>0 && a[y[j]-1]<0)
        {
            if(abs(a[x[j]-1])>=abs(a[y[j]-1])){poznanici[x[j]-1]++; poznanici[y[j]-1]++;}
            else {poznanici[x[j]-1]--; poznanici[y[j]-1]--;}
        }
        else if(a[x[j]-1]<0 && a[y[j]-1]>0)
        {
            if(abs(a[x[j]-1])>=abs(a[y[j]-1])){poznanici[x[j]-1]--; poznanici[y[j]-1]--;}
            else {poznanici[x[j]-1]++; poznanici[y[j]-1]++;}
        }
    }
    long long sreca_sreca_radost=0;
    for(int s=0; s<n; s++)sreca_sreca_radost+=a[s]*poznanici[s];
    cout<<sreca_sreca_radost;
    return 0;
}